org.bdgenomics.adam.rdd.Coverage

# OrientedPoint

#### case class OrientedPoint(chrom: String, pos: Long, polarity: Boolean) extends Ordered[OrientedPoint] with Serializable with Product

Linear Supertypes
Product, Equals, Serializable, Serializable, Ordered[OrientedPoint], Comparable[OrientedPoint], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. OrientedPoint
2. Product
3. Equals
4. Serializable
5. Serializable
6. Ordered
7. Comparable
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new OrientedPoint(chrom: String, pos: Long, polarity: Boolean)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def <(that: OrientedPoint): Boolean

   Definition Classes
     Ordered

5. #### def <=(that: OrientedPoint): Boolean

   Definition Classes
     Ordered

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### def >(that: OrientedPoint): Boolean

   Definition Classes
     Ordered

9. #### def >=(that: OrientedPoint): Boolean

   Definition Classes
     Ordered

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### val chrom: String

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def compare(that: OrientedPoint): Int

    Definition Classes
      OrientedPoint → Ordered

14. #### def compareTo(that: OrientedPoint): Int

    Definition Classes
      Ordered → Comparable

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### val polarity: Boolean

23. #### val pos: Long

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from Serializable

### Inherited from Ordered[OrientedPoint]

### Inherited from Comparable[OrientedPoint]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped